Index: branches/PushGP/HeuristicLab.PushGP/HeuristicLab.Problems.ProgramSynthesis/Push/Expressions/IntegerExpressions.cs
===================================================================
--- branches/PushGP/HeuristicLab.PushGP/HeuristicLab.Problems.ProgramSynthesis/Push/Expressions/IntegerExpressions.cs	(revision 14727)
+++ branches/PushGP/HeuristicLab.PushGP/HeuristicLab.Problems.ProgramSynthesis/Push/Expressions/IntegerExpressions.cs	(revision 14733)
@@ -12,5 +12,5 @@
   [PushExpression(StackType.Integer, "INTEGER.+")]
   public class IntegerAddExpression : PushResultExpression<long> {
-    public override void Eval(IPushGpInterpreter interpreter) {
+    public override void Eval(IPushInterpreter interpreter) {
       this.Eval(interpreter.IntegerStack, 2, values => values[0] + values[1]);
     }
@@ -22,5 +22,5 @@
   [PushExpression(StackType.Integer, "INTEGER.-")]
   public class IntegerSubtractExpression : PushResultExpression<long> {
-    public override void Eval(IPushGpInterpreter interpreter) {
+    public override void Eval(IPushInterpreter interpreter) {
       this.Eval(interpreter.IntegerStack, 2, values => values[0] - values[1]);
     }
@@ -32,5 +32,5 @@
   [PushExpression(StackType.Integer, "INTEGER.*")]
   public class IntegerMultiplyExpression : PushResultExpression<long> {
-    public override void Eval(IPushGpInterpreter interpreter) {
+    public override void Eval(IPushInterpreter interpreter) {
       this.Eval(interpreter.IntegerStack, 2, values => values[0] * values[1]);
     }
@@ -43,5 +43,5 @@
   [PushExpression(StackType.Integer, "INTEGER./")]
   public class IntegerDivideExpression : PushResultExpression<long> {
-    public override void Eval(IPushGpInterpreter interpreter) {
+    public override void Eval(IPushInterpreter interpreter) {
       this.Eval(interpreter.IntegerStack, 2, values => values[0] / values[1], 0);
     }
@@ -58,5 +58,5 @@
   [PushExpression(StackType.Integer, "INTEGER.%")]
   public class IntegerModuloExpression : PushResultExpression<long> {
-    public override void Eval(IPushGpInterpreter interpreter) {
+    public override void Eval(IPushInterpreter interpreter) {
       this.Eval(interpreter.IntegerStack, 2, values => values[0] % values[1], 0);
     }
@@ -68,5 +68,5 @@
   [PushExpression(StackType.Integer, "INTEGER.MIN")]
   public class IntegerMinExpression : PushResultExpression<long> {
-    public override void Eval(IPushGpInterpreter interpreter) {
+    public override void Eval(IPushInterpreter interpreter) {
       this.Eval(interpreter.IntegerStack, 2, values => Math.Min(values[0], values[1]));
     }
@@ -78,5 +78,5 @@
   [PushExpression(StackType.Integer, "INTEGER.MAX")]
   public class IntegerMaxExpression : PushResultExpression<long> {
-    public override void Eval(IPushGpInterpreter interpreter) {
+    public override void Eval(IPushInterpreter interpreter) {
       this.Eval(interpreter.IntegerStack, 2, values => Math.Max(values[0], values[1]));
     }
@@ -88,5 +88,5 @@
   [PushExpression(StackType.Integer, "INTEGER.<")]
   public class IntegerSmallerThanExpression : PushResultExpression<long> {
-    public override void Eval(IPushGpInterpreter interpreter) {
+    public override void Eval(IPushInterpreter interpreter) {
       this.Eval(interpreter.IntegerStack, interpreter.BooleanStack, 2, values => values[0] < values[1]);
     }
@@ -98,5 +98,5 @@
   [PushExpression(StackType.Integer, "INTEGER.>")]
   public class IntegerGreaterThanExpression : PushResultExpression<long> {
-    public override void Eval(IPushGpInterpreter interpreter) {
+    public override void Eval(IPushInterpreter interpreter) {
       this.Eval(interpreter.IntegerStack, interpreter.BooleanStack, 2, values => values[0] > values[1]);
     }
@@ -108,5 +108,5 @@
   [PushExpression(StackType.Integer, "INTEGER.FROMBOOLEAN")]
   public class IntegerFromBooleanExpression : StatelessExpression {
-    public override void Eval(IPushGpInterpreter interpreter) {
+    public override void Eval(IPushInterpreter interpreter) {
       if (interpreter.BooleanStack.Count == 0) return;
 
@@ -123,5 +123,5 @@
   [PushExpression(StackType.Integer, "INTEGER.FROMFLOAT")]
   public class IntegerFromFloatExpression : StatelessExpression {
-    public override void Eval(IPushGpInterpreter interpreter) {
+    public override void Eval(IPushInterpreter interpreter) {
       if (interpreter.FloatStack.Count == 0) return;
 
